/******************************************************************************

                               Copyright (c) 2007
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

#ifdef VXWORKS

/** \file
   OS interface, WIN32 adaptation
*/

#include "drv_dsl_cpe_api_types.h"

#include <ctype.h>

#include "ifxos_common.h"
#include "ifxos_debug.h"
#include "ifxos_thread.h"
#include "ifxos_memory_alloc.h"
#include "ifxos_lock.h"
#include "ifxos_select.h"
#include "ifxos_common.h"
#include "ifxos_print_io.h"
#include "ifxos_device_access.h"
#include "ifxos_file_access.h"
#include "ifxos_time.h"
#include "ifxos_thread.h"
#include "ifxos_termios.h"
#include "ifxos_pipe.h"
#include "ifxos_misc.h"
#include "ifxos_socket.h"
#include "ifx_getopt.h"

#define PACKAGE_VERSION              ""

#define DSL_CPE_STACKSIZE            2048

#define DSL_CPE_PRIORITY             64
#define DSL_CPE_PIPE_PRIORITY         64
#define DSL_CPE_TCP_MSG_PRIORITY      64

#define DSL_CPE_STRNCASECMP(a,b,c)   stricmp(a,b)

#define DSL_CPE_StringToAddress(pString, pInetAddr) (inet_aton(pString, pInetAddr) == 0 ? 1 : 0)

#ifndef FD_SETSIZE
#define DSL_FD_SETSIZE           1024
#else
#define DSL_FD_SETSIZE           FD_SETSIZE
#endif

DSL_uint16_t DSL_CPE_Htons(DSL_uint16_t hVal);

DSL_uint32_t DSL_CPE_Htonl(DSL_uint32_t hVal);

#ifdef DSL_DEBUG_TOOL_INTERFACE
DSL_char_t* DSL_CPE_OwnAddrStringGet(DSL_void_t);
#endif /* DSL_DEBUG_TOOL_INTERFACE*/

#endif /* VXWORKS */


